首页 / Windows服务器 / win2008 iis7/iis7.5下最简单最强安装多版本PHP支持环境

win2008 iis7/iis7.5下最简单最强安装多版本PHP支持环境

利用PHP Manager,windows 2008 R2 IIS7.5安装多版本PHP环境个人对在windows 2008 R2上,在iis环境中配置安装php环境实践中的注意点:

利用PHP Manager,windows 2008 R2 IIS7.5安装多版本PHP环境

个人对在windows 2008 R2上,在iis环境中配置安装php环境实践中的注意点:

1、如需要在服务器上配置mysql的话,在配置php环境前先安装mysql。(根据自己的需求,下载相应的mysql版本)

    mysql安装配置步骤请查看:https://www.jb51.net/article/39188.htm

sqlserver 2008安装:https://www.jb51.net/article/30243.htm

win2008 r2安装sqlserver 2008需要注意的是,iis好像要安装asp.net与.net组件,否则容易出现问题。当然因为服务器环境的配置问题,都可以搜索相关的错误提示,我是攻城狮之前都整理过相关的解决方法。

2、下载php版本文件包,在C盘下创建php文件夹,将文件包中的内容解压到该文件夹下。(可将多版本的php存放在该文件夹下)

win2008 iis7/iis7.5下最简单最强安装多版本PHP支持环境

3、下载安装PHP Manager(http://phpmanager.codeplex.com/releases/view/69115),安装完后,这时在iis管理界面中就会多一个PHP Manager管理选项。

win2008 iis7/iis7.5下最简单最强安装多版本PHP支持环境

下来就不需要自己在修改php.ini文件,配置php,只需利用PHP Manager来选择需要的php版本中php-cgi.exe就ok了。

详细的操作步骤请查看下面的内容:

法一:

最近调试程序,要在PHP5.2和5.3之间换来换去,而习惯了windows下的开发,就琢磨怎么在iis下安装多版本支持,赫然发现其实微软都为我们准备了好工具。

 

微软对PHP的支持越来越强,这点在IIS7中体现明显,不但有FastCgi的大力支持,还为PHP的管理专门增加了个PHP Manager。有了这个东东,在windows环境下基于iis7安装PHP简直是易如反掌。

虽然现在PHP5.3已经出来很久,但许多开源的PHP程序都不是很好支持它,还是PHP5.2为主流。有了PHP Manager这个好东西,在iis下安装多个版本的PHP也变得非常容易。

具体步骤如下:

1. 在微软的网站上下载PHP Manager(http://phpmanager.codeplex.com/releases/view/69115),双击安装。这时在iis管理界面中就会多一个PHP Manager管理选项。

win2008 iis7/iis7.5下最简单最强安装多版本PHP支持环境
win2008 iis7/iis7.5下最简单最强安装多版本PHP支持环境

2. 从PHP官网上下载windows版本的PHP程序。因为采用FastCgi模式运行,所以最新的5.2.17和5.3.8都选择下载nts(非线程安全)的zip版本。下载下来后,找个地方分别解压缩,例如分别放在C:PHP下的5.2和5.3目录下。

官方下载地址:http://museum.php.net/php5/

3. 进入IIS管理界面,双击PHP Manager,选择Register New PHP Version,这是弹出一个选择框,选择5.2版本目录下的php-cgi.exe文件,确认。再此点击Register New PHP Version,选择5.3版本目录下的php-cgi.exe文件,确认后,多版本的环境就搭建好了。简单吧。

win2008 iis7/iis7.5下最简单最强安装多版本PHP支持环境

 

需要用到那个PHP版本,就点击change PHP version选择需要的版本即可。要检验是否设置好,还可以点旁边的check phpinfo()来查看相应PHP设置信息。

win2008 iis7/iis7.5下最简单最强安装多版本PHP支持环境

4. 在PHP Manager中对PHP的设置也简化了很多,可以在PHP Setting和PHP Extension里面直接可视化的管理php.ini,而查看相应的iis配置,会发现php manager已经为我们生成好了相应的映射,真是方便到家了。

win2008 iis7/iis7.5下最简单最强安装多版本PHP支持环境

win2008 iis7/iis7.5下最简单最强安装多版本PHP支持环境

这应该是目前最简单有效的在iis下安装PHP以及多版本支持的方法!

 

 

法二:

先介绍下PHP Manager for IIS 对IIS7以及7以上版本对php多版本的支持。

改天再介绍微软提供的URLRewrite 2.0对IIS7的支持,以及如何扩展URLRewrite。

第一步当然是安装了,下载 PHP Manager for IIS并安装。 下载地址http://phpmanager.codeplex.com/releases

安装完成后在IIS管理器里面就会出现php manager的图标。如下图:

win2008 iis7/iis7.5下最简单最强安装多版本PHP支持环境

双击之后就会出现php的具体配置管理了。

win2008 iis7/iis7.5下最简单最强安装多版本PHP支持环境

注册你想要run的php版本,找到文件 php-cgi.exe的路径即ok。

注册完之后会自动检查相应配置,如果有些配置和推荐的配置不一直,即会显示相应的错误信息。如下:

win2008 iis7/iis7.5下最简单最强安装多版本PHP支持环境

点击“View Recommendations”即可以看到具体的错误信息。

win2008 iis7/iis7.5下最简单最强安装多版本PHP支持环境

 

如果你注册了多个php版本,你可以方便的切换版本:

win2008 iis7/iis7.5下最简单最强安装多版本PHP支持环境

 

切版本旁边的”Check phpinfo()” 也是我们喜欢的东东。很方便查看具体配置信息:

win2008 iis7/iis7.5下最简单最强安装多版本PHP支持环境

 

参考地址:http://phpmanager.codeplex.com/

 

附+

 

    这篇文章介绍如何配置IIS以支持在同一台服务器的多个版本的PHP。这在需要测试不同PHP版本应用程序的开发环境中安装是非常有用的。此外,它经常被用在生产环境中,许多PHP应用程序驻留在同一台服务器上,其中一些依赖于某个特定的PHP版本。  

    为了在同一IIS服务器上同时安装多个版本的PHP,必须按照php.net文档IIS 5.1和IIS 6.0及IIS 7.0和更高版本中描述的步骤手动安装。不要使用PHP的Windows安装程序,因为它不支持并行安装。  

    在特定的PHP版本按照说明安装完成后,下载另一个版本的PHP,提取到一个单独的目录,并根据手工安装步骤来对它进行配置。在此之后按以下说明配置每一个IIS服务器: 

 IIS 5.1  

IIS 6.0  

IIS 7.0和更高版本  

注意:在下面两个PHP版本中的所有例子是安装在同一台服务器上。PHP的5.2.11文件位于C:PHP5211目录和PHP 5.3.1文件位于C:PHP531目录。 

 

IIS 5.1中 

 FastCGI扩展包可配置到同一台服务器和网站级别。因为5.1中只能有一个网站,它不是可以配置它有两个版本的PHP在同一时间运行。但是,可能有一个配置,允许容易地从一个版本切换到另一个。  

打开IIS FastCGI扩展包位于%windir%system32inetsrvfcgiext.ini的配置文件。在该文结尾处将有一部分定义FastCGI应用程序。它可能看起来像这样:  

[类型]

PHP = php5211

[php5211] 

ExePath = C:php5211PHP-cgi.exe

 

每当一个*. php文件提出要求使用PHP 5.2.11配置IIS。要切换到PHP 5.3.1,添加另一部分声明,然后修改部分如下:  

[类型] 

; PHP= php5211

PHP= php531

[php5211]

ExePath = C:php5211PHP-cgi.exe

[php531]

ExePath = C:php531PHP-cgi.exe

 

切换回到PHP 5.2.11更新[类型]通过注释PHP = php531并取消PHP = php5211。更新fcgiexe.ini后没有必要重新启动IIS。FastCGI的扩展包在文件保存之前已搜集好所有变化。 

 

IIS 6.0中

在IIS 6.0的FastCGI可以配置在服务器级别,这将导致所有IIS网站使用相同的PHP版本。在服务器级别配置FastCGI和PHP版本之间切换过程和配置IIS 5.1的步骤是一样的。 

另外FastCGI可以配置在网站级别上,这将允许不同的网站使用不同的PHP版本,指定一个特定的PHP版本的网站,请使用下面的命令。请务必用真正的站点替代。

cscript %windir%system32inetsrvfcgiconfig.js -add -section:”php5211″ ^

-extension:php -path:”C:php5211php-cgi.exe” -site:

cscript %windir%system32inetsrvfcgiconfig.js -add -section:”php531″ ^

-extension:php -path:”C:php531php-cgi.exe” -site:

执行这些命令后,在%WINDIR%system32inetsrv打开fcgiext.ini文件。它应包含以下部分: 

 [类型]

php:169297538 = php5211           ;实际站点ID将和您的站点不一样

php:273357939 = php531             ;实际站点ID将和您的站点不一样

[php5211]

ExePath = C:php5211PHP-cgi.exe

[php531]

ExePath = C:php531PHP-cgi.exe 

本文来自网络,不代表我是攻城狮立场,转载请注明出处:https://www.54gcs.cn/os/windowsserver/12685.html

helwo作者

上一篇
下一篇

为您推荐

发表评论

联系我们

联系我们

在线咨询: QQ交谈

邮箱: web@5vo.cn

工作时间:周一至周五,9:00-17:30,节假日休息
关注微信
微信扫一扫关注我们

微信扫一扫关注我们

手机访问
手机扫一扫打开网站

手机扫一扫打开网站

返回顶部
跳至工具栏